.\"	$NetBSD: fsplit.1,v 1.8 2003/02/25 10:35:42 wiz Exp $
.\"
.\" Copyright (c) 1983, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" Asa Romberger and Jerry Berkman.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)fsplit.1	8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt FSPLIT 1
.Os
.Sh NAME
.Nm fsplit
.Nd split a multi-routine Fortran file into individual files
.Sh SYNOPSIS
.Nm
.Op Fl e Ar efile
\&...
.Op Ar file
.Sh DESCRIPTION
.Nm
takes as input either a file or standard input containing Fortran source code.
It attempts to split the input into separate routine files of the
form
.Ar name.f ,
where
.Ar name
is the name of the program unit (e.g. function, subroutine, block data or
program).
The name for unnamed block data subprograms has the form
.Ar blkdtaNNN.f
where NNN is three digits and a file of this name does not already exist.
For unnamed main programs the name has the form
.Ar mainNNN.f .
If there is an error in classifying a program unit, or if
.Ar name.f
already exists,
the program unit will be put in a file of the form
.Ar zzzNNN.f
where
.Ar zzzNNN.f
does not already exist.
.Pp
.Bl -tag -width Fl
.It Fl e Ar efile
Normally each subprogram unit is split into a separate file.
When the
.Fl e
option is used, only the specified subprogram units are split into separate
files.
E.g.:
.Pp
.Dl fsplit -e readit -e doit prog.f
.Pp
will split readit and doit into separate files.
.El
.Sh DIAGNOSTICS
If names specified via the
.Fl e
option are not found, a diagnostic is written to
standard error.
.Sh HISTORY
The
.Nm
command
appeared in
.Bx 4.2 .
.Sh AUTHORS
Asa Romberger and Jerry Berkman
.Sh BUGS
.Nm
assumes the subprogram name is on the first noncomment line of the subprogram
unit.
Nonstandard source formats may confuse
.Nm .
.Pp
It is hard to use
.Fl e
for unnamed main programs and block data subprograms since you must
predict the created file name.
